<?php



class ControlComisMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ControlComisMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('CONTROL_COMIS');
		$tMap->setPhpName('ControlComis');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('TIPCOM', 'Tipcom', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('DIAS', 'Dias', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('DOCUMENTO', 'Documento', 'string', CreoleTypes::VARCHAR, false,200 );

		$tMap->addColumn('FECHA', 'Fecha', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('OBSERVACIONES', 'Observaciones', 'string', CreoleTypes::VARCHAR, false, 500);
                
                $tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 1);

	} 
} 